<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (11.0.8) on Mon Nov 30 13:15:36 CET 2020 -->
<title>CommonElementsBuilder</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-11-30">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
</head>
<body>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">org.eclipse.app4mc.amalthea.model.builder</a></div>
<h2 title="Class CommonElementsBuilder" class="title">Class CommonElementsBuilder</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>Object</li>
<li>
<ul class="inheritance">
<li>CommonElementsBuilder</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>public class <span class="typeNameLabel">CommonElementsBuilder</span>
extends Object</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">CommonElementsBuilder</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>CommonElements</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#commonElementsRoot(org.eclipse.xtext.xbase.lib.Procedures.Procedure1)">commonElementsRoot</a></span>&#8203;(Procedures.Procedure1&lt;CommonElements&gt;&nbsp;initializer)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#coreClassifier(org.eclipse.app4mc.amalthea.model.CommonElements,org.eclipse.xtext.xbase.lib.Procedures.Procedure1)">coreClassifier</a></span>&#8203;(CommonElements&nbsp;container,
              Procedures.Procedure1&lt;CoreClassifier&gt;&nbsp;initializer)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#memoryClassifier(org.eclipse.app4mc.amalthea.model.CommonElements,org.eclipse.xtext.xbase.lib.Procedures.Procedure1)">memoryClassifier</a></span>&#8203;(CommonElements&nbsp;container,
                Procedures.Procedure1&lt;MemoryClassifier&gt;&nbsp;initializer)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#namespace(org.eclipse.app4mc.amalthea.model.CommonElements,org.eclipse.xtext.xbase.lib.Procedures.Procedure1)">namespace</a></span>&#8203;(CommonElements&nbsp;container,
         Procedures.Procedure1&lt;Namespace&gt;&nbsp;initializer)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#segment(org.eclipse.app4mc.amalthea.model.Namespace,org.eclipse.xtext.xbase.lib.Procedures.Procedure1)">segment</a></span>&#8203;(Namespace&nbsp;container,
       Procedures.Procedure1&lt;Namespace&gt;&nbsp;initializer)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#tag(org.eclipse.app4mc.amalthea.model.CommonElements,org.eclipse.xtext.xbase.lib.Procedures.Procedure1)">tag</a></span>&#8203;(CommonElements&nbsp;container,
   Procedures.Procedure1&lt;Tag&gt;&nbsp;initializer)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>CommonElementsBuilder</h4>
<pre>public&nbsp;CommonElementsBuilder()</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="commonElementsRoot(org.eclipse.xtext.xbase.lib.Procedures.Procedure1)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>commonElementsRoot</h4>
<pre class="methodSignature">public&nbsp;CommonElements&nbsp;commonElementsRoot&#8203;(Procedures.Procedure1&lt;CommonElements&gt;&nbsp;initializer)</pre>
</li>
</ul>
<a id="memoryClassifier(org.eclipse.app4mc.amalthea.model.CommonElements,org.eclipse.xtext.xbase.lib.Procedures.Procedure1)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>memoryClassifier</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;memoryClassifier&#8203;(CommonElements&nbsp;container,
                             Procedures.Procedure1&lt;MemoryClassifier&gt;&nbsp;initializer)</pre>
</li>
</ul>
<a id="coreClassifier(org.eclipse.app4mc.amalthea.model.CommonElements,org.eclipse.xtext.xbase.lib.Procedures.Procedure1)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>coreClassifier</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;coreClassifier&#8203;(CommonElements&nbsp;container,
                           Procedures.Procedure1&lt;CoreClassifier&gt;&nbsp;initializer)</pre>
</li>
</ul>
<a id="tag(org.eclipse.app4mc.amalthea.model.CommonElements,org.eclipse.xtext.xbase.lib.Procedures.Procedure1)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>tag</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;tag&#8203;(CommonElements&nbsp;container,
                Procedures.Procedure1&lt;Tag&gt;&nbsp;initializer)</pre>
</li>
</ul>
<a id="namespace(org.eclipse.app4mc.amalthea.model.CommonElements,org.eclipse.xtext.xbase.lib.Procedures.Procedure1)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>namespace</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;namespace&#8203;(CommonElements&nbsp;container,
                      Procedures.Procedure1&lt;Namespace&gt;&nbsp;initializer)</pre>
</li>
</ul>
<a id="segment(org.eclipse.app4mc.amalthea.model.Namespace,org.eclipse.xtext.xbase.lib.Procedures.Procedure1)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>segment</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;segment&#8203;(Namespace&nbsp;container,
                    Procedures.Procedure1&lt;Namespace&gt;&nbsp;initializer)</pre>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
</body>
</html>
